Bug 1338748 - SAMBA : Error and warning messages related to xlator/features/snapview-client.so adding up to the windows client log on performing IO operations
Summary: SAMBA : Error and warning messages related to xlator/features/snapview-client...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: snapshot
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: RHGS 3.2.0
Assignee: rjoseph
QA Contact: Vivek Das
URL:
Whiteboard:
Depends On: 1339149 1367297
Blocks: 1351522
TreeView+ depends on / blocked
 
Reported: 2016-05-23 11:37 UTC by Vivek Das
Modified: 2017-03-23 05:32 UTC (History)
7 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1339149 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:32:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Vivek Das 2016-05-23 11:37:52 UTC
Description of problem:

When any kind of IOs are performed on windows client we see error and warning messages in the client log related to xlator/features/snapview-client.so.
The volume is enabled with USS feature & show snapshot directory feature.
features.show-snapshot-directory: enable
features.uss: enable

[2016-05-23 15:58:43.569763] W [dict.c:612:dict_ref] (-->/usr/lib64/glusterfs/3.7.9/xlator/features/snapview-client.so(+0xf37f) [0x7f44ea47337f] -->/usr/lib64/glusterfs/3.7.9/xlator/features/snapview-client.so(svc_readdir_on_special_dir+0x390) [0x7f44ea473030] -->/lib64/libglusterfs.so.0(dict_ref+0x79) [0x7f44f629f3f9] ) 0-dict: dict is NULL [Invalid argument]

Version-Release number of selected component (if applicable):
samba-client-4.4.3-4.el7rhgs.x86_64
glusterfs-cli-3.7.9-5.el7rhgs.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Create a dis-rep volume
2.Enable USS feature & show Snapshot directory
3.Mount volume on windows client
4.Run some IOs (file create, file delete)
5.On the server goto client log i.e /var/log/samba/glusterfs-<volname>.<IP>.log

Actual results:
snapview-client related error and warning messages are displayed in the client log

Expected results:


Additional info:

[2016-05-23 14:24:41.598682] E [snapview-client.c:92:svc_inode_ctx_get] (-->/usr/lib64/glusterfs/3.7.9/xlator/performance/quick-read.so(qr_lookup_cbk+0x177) [0x7f44eaf54227] -->/usr/lib64/glusterfs/3.7.9/xlator/features/snapview-client.so(+0xc0d8) [0x7f44eab3e0d8] -->/usr/lib64/glusterfs/3.7.9/xlator/features/snapview-client.so(svc_inode_ctx_get+0xa8) [0x7f44eab34dd8] ) 0-VSS-test-snapview-client: invalid argument: inode [Invalid argument]
[2016-05-23 14:24:41.604631] E [snapview-client.c:92:svc_inode_ctx_get] (-->/usr/lib64/glusterfs/3.7.9/xlator/performance/quick-read.so(qr_lookup_cbk+0x177) [0x7f44eaf54227] -->/usr/lib64/glusterfs/3.7.9/xlator/features/snapview-client.so(+0xc0d8) [0x7f44eab3e0d8] -->/usr/lib64/glusterfs/3.7.9/xlator/features/snapview-client.so(svc_inode_ctx_get+0xa8) [0x7f44eab34dd8] ) 0-VSS-test-snapview-client: invalid argument: inode [Invalid argument]
[2016-05-23 14:24:41.612522] E [snapview-client.c:92:svc_inode_ctx_get] (-->/usr/lib64/glusterfs/3.7.9/xlator/performance/quick-read.so(qr_lookup_cbk+0x177) [0x7f44eaf54227] -->/usr/lib64/glusterfs/3.7.9/xlator/features/snapview-client.so(+0xc0d8) [0x7f44eab3e0d8] -->/usr/lib64/glusterfs/3.7.9/xlator/features/snapview-client.so(svc_inode_ctx_get+0xa8) [0x7f44eab34dd8] ) 0-VSS-test-snapview-client: invalid argument: inode [Invalid argument]
[2016-05-23 14:24:41.620480] E [snapview-client.c:92:svc_inode_ctx_get] (-->/usr/lib64/glusterfs/3.7.9/xlator/performance/quick-read.so(qr_lookup_cbk+0x177) [0x7f44eaf54227] -->/usr/lib64/glusterfs/3.7.9/xlator/features/snapview-client.so(+0xc0d8) [0x7f44eab3e0d8] -->/usr/lib64/glusterfs/3.7.9/xlator/features/snapview-client.so(svc_inode_ctx_get+0xa8) [0x7f44eab34dd8] ) 0-VSS-test-snapview-client: invalid argument: inode [Invalid argument]

Comment 4 rjoseph 2016-05-24 13:51:17 UTC
Following upstream patches sent for this bug:
http://review.gluster.org/14511
http://review.gluster.org/14514
http://review.gluster.org/14525

Comment 7 Atin Mukherjee 2016-09-17 13:56:18 UTC
Upstream 3.8 patches:

http://review.gluster.org/#/c/15166
http://review.gluster.org/#/c/15170
http://review.gluster.org/#/c/15171

All these fixes are in rhgs-3.2.0 as part of rebase to GlusterFS 3.8.4.

Comment 10 Vivek Das 2016-11-05 10:44:12 UTC
Followed the steps to reproduce & verified the above with the below version
samba-client-4.4.6-2.el7rhgs.x86_64
glusterfs-client-xlators-3.8.4-3.el7rhgs.x86_64

Looks good so marking it as verified

Comment 12 errata-xmlrpc 2017-03-23 05:32:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.